JC = javac
JVM= java  
.SUFFIXES: .java .class
.java.class:
	$(JC) $*.java

CLASSES=\
	Ordenador.java\
	BubbleSorter.java\
	Estudiante.java\
	Extractor.java\
	Nombres.java\
	Persona.java\
	TextFilter.java\
	Tombola.java\
	TombolaFrame.java\
	Utils.java 

# main variable: Added by Agustin Gonzalez
MAIN = Tombola
JDOC = javadoc
JDFLAGS = -d docs/
default: classes
classes: $(CLASSES:.java=.class)
# run tarjet added by Agustin Gonzalez
run:
	$(JVM) $(MAIN)
doc:
	$(JDOC) $(JDFLAGS) *.java
clean:
	$(RM) *.class docs/*.html
